// functions for cookies

function getCookieVal (offset) {
 var endstr = document.cookie.indexOf (";", offset);
 if (endstr == -1) endstr = document.cookie.length;
 return unescape(document.cookie.substring(offset, endstr));
}

function GetCookie (name) {
 var arg = name + "=";
 var alen = arg.length;
 var clen = document.cookie.length;
 var i = 0;
 while (i < clen) {
     var j = i + alen;
     if (document.cookie.substring(i, j) == arg)  return getCookieVal (j);
     i = document.cookie.indexOf(" ", i) + 1;
     if (i == 0) break;
 }
 return null;
}

function SetCookie (name,value,expires,path,domain,secure) {
 document.cookie = name + "=" + escape (value) + ((expires) ? "; expires=" + expires.toGMTString() : "") + ((path) ? "; path=" + path : "") + ((domain) ? "; domain=" + domain : "") + ((secure) ? "; secure" : "");
}

function DeleteCookie (name,path,domain) {
 if (GetCookie(name)) { document.cookie = name + "=" +	 ((path) ? "; path=" + path : "") +	 ((domain) ? "; domain=" + domain : "") + "; expires=Thu, 01-Jan-70 00:00:01 GMT"; }
}

// functions for window handling
var isopen=false;

function winClose(winname)
{ winname.close(); }

function winOpen(url,windowname,breite,hoehe,scroll,resize,tool,status,menu,location)
{ if( (isopen) && (!popUp.closed) ){ winClose(popUp); }
    popUp = window.open(url,windowname,"width="+breite+",height="+hoehe+",screenX=40,screenY=20,scrollbars="+scroll+",resizable="+resize+",toolbar="+tool+",status="+status+",menubar="+menu+",location="+location+""); 
  isopen=true;
}

function winOpenOnce(url,windowname,breite,hoehe,scroll,resize,tool,status,menu)
{ var popval = GetCookie(windowname);
  if (popval == null) {
     popval=1;
     SetCookie(windowname, popval, "", "/","mediamarkt.de");
     var test = GetCookie(windowname);
     if (test != null){winOpen(url,windowname,breite,hoehe,scroll,resize,tool,status,menu);}
  }
}

// functions for select boxes
function choice()
{ 
  var zielHistory = document.Lexikon.history.value;
  var zielWert = document.Lexikon.termID;
  var zielTerm = document.Lexikon.term.value;
  var zielName = zielWert.options[zielWert.selectedIndex].value;
  var zielURL = "/lexikon/index.php";	
			
  if( zielName != '')
  { document.location.href = zielURL + "?termID=" + zielName + "&history=" + zielHistory + "&term=" + zielTerm;	}
  else	
  { document.Lexikon.reset(); }	
}

// functions for explain layer
function explain(e,TermName,explText,TermId)
{  // opens explanation layer with text "explText" near mouse position
   // e is the event causing call to explain(), please provide explain(event,...) here
   // TermName is the name of the term, eg. "DVD" or "Wireless LAN"
   // explText is the text explaining the term
   // TermId is the ID of the term with db Lexikon 
   var ns = navigator.appName == "Netscape";
   var ns4 = (ns && parseInt(navigator.appVersion) == 4);
   var ns5 = (ns && parseInt(navigator.appVersion) > 4);

    // get mouse position
    if (document.layers) {
        xMousePos = e.pageX;
        yMousePos = e.pageY;
    } else if (document.all) {
        xMousePos = window.event.x;
        yMousePos = window.event.y;
    } else if (document.getElementById) {
        xMousePos = e.pageX;
        yMousePos = e.pageY;
    }

   // get layer layExplain object
   if (ns4) myLayer = document["layExplain"]; 
   else if (ns5) myLayer = document.getElementById("layExplain");
   else myLayer = document.all ? document.all["layExplain"] : null;

   // get  txtExplain paragraph
   if (ns4) txtPara = document["txtExplain"]; 
   else if (ns5) txtPara = document.getElementById("txtExplain");
   else txtPara = document.all ? document.all["txtExplain"] : null;

   // get lexLink linkage
   if (ns4) lexText = document["lexLink"];
   else if (ns5) lexText = document.getElementById("lexLink");
   else lexText = document.all ? document.all["lexLink"] : null;
   TermId = '/lexikon/?termID=' + TermId;

   // add IVW-Gif to text ca. jedes 2. Mal
   //zufallszahl = Math.round(Math.random() * 100);
   //	if(zufallszahl % 2 == 0)
   //	{
   TermName = escape(TermName);
   explText = '<BR>' + explText + '<BR><BR><IMG SRC="/cgi-bin/ivw/CP/lexikon/explain/' + TermName + '" WIDTH="1" HEIGHT="1">';
   //	}



   // write text and move into visible area
   if (myLayer) {
           txtPara.innerHTML = explText;
	   lexText.href = TermId;
	   myLayer.style.left=xMousePos - 20;
	   myLayer.style.top=yMousePos - 30;
   }
}

function unexplain()
{  // hides explanation layer

   var ns = navigator.appName == "Netscape";
   var ns4 = (ns && parseInt(navigator.appVersion) == 4);
   var ns5 = (ns && parseInt(navigator.appVersion) > 4);

   // get layer layExplain object
   if (ns4) myLayer = document["layExplain"]; 
   else if (ns5) myLayer = document.getElementById("layExplain");
   else myLayer = document.all ? document.all["layExplain"] : null;

   // get  txtExplain paragraph
   if (ns4) txtPara = document["txtExplain"]; 
   else if (ns5) txtPara = document.getElementById("txtExplain");
   else txtPara = document.all ? document.all["txtExplain"] : null;

   // move out of visible area
   if (myLayer) {
	   txtPara.innerHTML = "";
	   myLayer.style.left=0;
	   myLayer.style.top=-100;
   }
}

function parentloader (url)
{
	parent.opener.location.href=url;
	return;
}
// special
function isFull()
{
    // return true if something is selected!
	// if empty: openwin/return false
	if ( (document.Daten.vorname.value=="") || (document.Daten.nachname.value=="") || (document.Daten.strasse.value=="") || (document.Daten.plz.value=="") || (document.Daten.ort.value=="") || (document.Daten.email.value=="") || (document.Daten.geburtsdatum.value=="") )
	{
	    alert("Leider sind Ihre Angaben noch unvollstndig. Bitte fllen Sie alle mit einem Sternchen gekennzeichneten Felder aus und senden Sie dann Ihre Anmeldung erneut ab. Vielen Dank.");
	     return;
	}

        if(document.Daten.teilnahmebedingungen.checked != true)
	{
	     alert("Sorry. Aber zur Absendung Ihrer Anmeldung ist es notwendig, dass Sie mit den Teilnahmebedingungen einverstanden sind. Bitte kreuzen Sie das Kstchen an und klicken Sie dann auf 'Abschicken'. Vielen Dank.");
		 return;
	}

        if (document.Daten.email.value != "")
	{
		emailaddr = document.Daten.email.value;
		ergebnis = emailaddr.search(/^[^@]+[@][^@]+.[^@]*$/);
		if (ergebnis == -1)
		{
			alert("Ihre E-Mail Adresse ist ungltig.");
			return;
		}
	}	
	PopUp();
	return;
}

function PopUp()
{
	document.Daten.submit();	
	alert("Ihre Daten wurden versandt. Danke fr Ihre Teilnahme.");
 }

function PopUppinnacle(url, breite, hoehe) 
   {
      links = (screen.width/2)-(breite/2);
      oben = (screen.height/2)-(hoehe/2);
      window.open(url,'popup','height='+hoehe+',width='+breite+',toolbar=no,resizable=no,scrollbars=no,top='+oben+',left='+links);
   }




  function LexRauf (term)
  {
	document.images[term].src = overfeld[term];
  }
					
  function LexRunter (term)
  {
	document.images[term].src = bsfeld[term];
  }

  function LexHigh(term)   
  {
       var buchs = new Array("null","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z");
       var bsfeld = new Array(27);
       var overfeld = new Array(27);
      
       if(term == "")
       {
           term = "a";
       }
       else
       {
           term = term.toLowerCase();
       }
  }

  function LexInit(term)
  {
       bsfeld = new Array(27);
       overfeld = new Array(27);

       if(term == "")
       {
           term = "a";
       }
       else
       {
           term = term.toLowerCase();
       }	

	overfeld['null'] = "/i/lexikon/b_09.gif";
	overfeld['a'] = "/i/lexikon/b_a.gif";
	overfeld['b'] = "/i/lexikon/b_b.gif";
	overfeld['c'] = "/i/lexikon/b_c.gif";
	overfeld['d'] = "/i/lexikon/b_d.gif";
	overfeld['e'] = "/i/lexikon/b_e.gif";
	overfeld['f'] = "/i/lexikon/b_f.gif";
	overfeld['g'] = "/i/lexikon/b_g.gif";
	overfeld['h'] = "/i/lexikon/b_h.gif";
	overfeld['i'] = "/i/lexikon/b_i.gif";
	overfeld['j'] = "/i/lexikon/b_j.gif";
	overfeld['k'] = "/i/lexikon/b_k.gif";
	overfeld['l'] = "/i/lexikon/b_l.gif";
	overfeld['m'] = "/i/lexikon/b_m.gif";
	overfeld['n'] = "/i/lexikon/b_n.gif";
	overfeld['o'] = "/i/lexikon/b_o.gif";
	overfeld['p'] = "/i/lexikon/b_p.gif";
	overfeld['q'] = "/i/lexikon/b_q.gif";
	overfeld['r'] = "/i/lexikon/b_r.gif";
	overfeld['s'] = "/i/lexikon/b_s.gif";
	overfeld['t'] = "/i/lexikon/b_t.gif";
	overfeld['u'] = "/i/lexikon/b_u.gif";
	overfeld['v'] = "/i/lexikon/b_v.gif";
	overfeld['w'] = "/i/lexikon/b_w.gif";
	overfeld['x'] = "/i/lexikon/b_x.gif";
	overfeld['y'] = "/i/lexikon/b_y.gif";
	overfeld['z'] = "/i/lexikon/b_z.gif";
	
	bsfeld['null'] = "/i/lexikon/09.gif";
	bsfeld['a'] = "/i/lexikon/a.gif";
        bsfeld['b'] = "/i/lexikon/b.gif";
        bsfeld['c'] = "/i/lexikon/c.gif";
	bsfeld['d'] = "/i/lexikon/d.gif";
        bsfeld['e'] = "/i/lexikon/e.gif";
        bsfeld['f'] = "/i/lexikon/f.gif";
        bsfeld['g'] = "/i/lexikon/g.gif";
        bsfeld['h'] = "/i/lexikon/h.gif";
        bsfeld['i'] = "/i/lexikon/i.gif";
        bsfeld['j'] = "/i/lexikon/j.gif";
        bsfeld['k'] = "/i/lexikon/k.gif";
        bsfeld['l'] = "/i/lexikon/l.gif";
        bsfeld['m'] = "/i/lexikon/m.gif";
        bsfeld['n'] = "/i/lexikon/n.gif";
        bsfeld['o'] = "/i/lexikon/o.gif";
        bsfeld['p'] = "/i/lexikon/p.gif";
        bsfeld['q'] = "/i/lexikon/q.gif";
        bsfeld['r'] = "/i/lexikon/r.gif";
        bsfeld['s'] = "/i/lexikon/s.gif";
        bsfeld['t'] = "/i/lexikon/t.gif";
        bsfeld['u'] = "/i/lexikon/u.gif";
        bsfeld['v'] = "/i/lexikon/v.gif";
        bsfeld['w'] = "/i/lexikon/w.gif";
        bsfeld['x'] = "/i/lexikon/x.gif";
        bsfeld['y'] = "/i/lexikon/y.gif";
        bsfeld['z'] = "/i/lexikon/z.gif";

	document.images[term].src = overfeld[term];
	bsfeld[term] = overfeld[term];
  }


// Layer Ein-/Ausblenden
function ShowLayer(wert) 
  {
       if (document.layers) 
       {
            obj = eval("document."+wert);
       } 
       else 
       {
            obj = document.getElementById(wert);
	    obj = obj.style;
       } 
       obj.visibility = "visible";
 }
  function UnshowLayer(wert) 
  {
       if (document.layers) 
       {
            obj = eval("document."+wert);
       } 
       else 
       {
            obj = document.getElementById(wert);
            obj = obj.style;
       } 
       obj.visibility = "hidden";
  }


function SubmitCity()
{
     document.forms['MMCity'].elements['csi'].value=document.forms['MMCity'].elements['MMCityname'].selectedIndex;
     document.MMCity.submit();
}

function SubmitCity2()
{
     document.forms['MMCity2'].elements['csi'].value=document.forms['MMCity2'].elements['MMCityname'].selectedIndex;
     document.MMCity2.submit();
}

function SubmitCity3()
{
     document.forms['MMCity3'].elements['csi'].value=document.forms['MMCity3'].elements['MMCityname'].selectedIndex;
     document.MMCity3.submit();
}

// Prealoader fuer Navigationsbilder

function LadeBild(BildObj,BildSrc)
  {  
	eval(BildObj+' = new Image()')
	eval(BildObj+'.src = "'+BildSrc+'"')
  }


LadeBild('carhifi','/cmsdata/CMS/10/06/44/c/16802892_1.gif');
LadeBild('cddvdgames','/cmsdata/CMS/10/06/44/e/16802894_1.gif');
LadeBild('computer','/cmsdata/CMS/10/06/45/3/16802899_1.gif');
LadeBild('foto','/cmsdata/CMS/10/06/45/5/16802901_1.gif');
LadeBild('handys','/cmsdata/CMS/10/06/45/7/16802903_1.gif');
LadeBild('haushalt','/cmsdata/CMS/10/06/45/0/16802896_1.gif');

LadeBild('lexikon','/cmsdata/CMS/10/06/47/9/16802937_1.gif');
LadeBild('brandneutv','/cmsdata/CMS/10/06/93/4/16804148_1.gif');
LadeBild('newsletter','/cmsdata/CMS/10/06/47/b/16802939_1.gif');
LadeBild('onlinebilderservice','/cmsdata/CMS/10/06/47/d/16802941_1.gif');
LadeBild('trucktour','/cmsdata/CMS/10/06/7a/b/16803755_1.gif');
LadeBild('kabelkonfigurator','/cmsdata/CMS/10/06/47/f/16802943_1.gif');
LadeBild('jobs','/cmsdata/CMS/10/06/46/f/16802927_1.gif');
LadeBild('service','/cmsdata/CMS/10/06/47/0/16802928_1.gif');
LadeBild('kontakt','/cmsdata/CMS/10/06/47/2/16802930_1.gif');
LadeBild('unternehmen','/cmsdata/CMS/10/06/47/4/16802932_1.gif');
LadeBild('impressum','/cmsdata/CMS/10/06/47/7/16802935_1.gif');

LadeBild('ausweiter','/cmsdata/CMS/10/06/4a/8/16802984_1.gif');
LadeBild('praktikum','/cmsdata/CMS/10/06/4a/a/16802986_1.gif');
LadeBild('bewerbungsablauf','/cmsdata/CMS/10/06/4a/e/16802990_1.gif');
LadeBild('blindbewerbung','/cmsdata/CMS/10/06/4a/c/16802988_1.gif');

LadeBild('zahlen','/cmsdata/CMS/10/06/4b/2/16802994_1.gif');
LadeBild('story','/cmsdata/CMS/10/06/4b/0/16802992_1.gif');

